darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.Repository.Repair

# Documentation

replayRepository :: RepoPatch p => Repository p -> [DarcsFlag] -> (RepositoryConsistency p -> IO a) -> IO a

checkIndex :: RepoPatch p => Repository p -> Bool -> IO Bool

data RepositoryConsistency p

Constructors

RepositoryConsistent |
BrokenPristine (Tree IO) |
BrokenPatches (Tree IO) (PatchSet p) |